<?php
/*
Visualization template of check_snmp_host_cpu for pnp4nagios
2020-10-11 by Miklos Kokenyesi
Based on: check_pnp_rrds.php
Copyright (c) 2006-2010 Joerg Linge (http://www.pnp4nagios.org)
*/
$color['blueLight'] = "#ccccff";
$color['orangeDark'] = "#ff6400";
$color['purpleDark'] = "#aa00ff";
$color['greyLight'] = "#b3b3b3";
$color['greenDark'] = "#008000";
$color['black'] = "#000";
$color['warning'] = "#ff0";
$color['critical'] = "#f00";
foreach ($this->DS as $KEY=>$VAL) {
	$warning = "";
	$critical = "";
	if ($VAL['WARN'] && is_numeric($VAL['WARN'])) {
		$warning = $VAL['WARN'];
	}
	if ($VAL['CRIT'] && is_numeric($VAL['CRIT'])) {
		$critical = $VAL['CRIT'];
	}
	$opt[1] = "--slope-mode --title \"CPU usage\" --vertical-label \"%\" -Y -X 0";
	$def[1] = "DEF:user=$RRDFILE[1]:$DS[1]:MAX ";
	$def[1] .= "DEF:nice=$RRDFILE[2]:$DS[2]:MAX ";
	$def[1] .= "DEF:system=$RRDFILE[3]:$DS[3]:MAX ";
	$def[1] .= "DEF:wait=$RRDFILE[4]:$DS[4]:MAX ";
	$def[1] .= "DEF:interrupt=$RRDFILE[5]:$DS[5]:MAX ";
	$def[1] .= "DEF:usage=$RRDFILE[6]:$DS[6]:MAX ";
	$def[1] .= rrd::area('interrupt', $color['greenDark'], 'Interrupt %   ', true);
	$def[1] .= "GPRINT:interrupt:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:interrupt:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:interrupt:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::area('wait', $color['greyLight'], 'Wait %        ', true);
	$def[1] .= "GPRINT:wait:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:wait:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:wait:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::area('nice', $color['purpleDark'], 'Nice %        ', true);
	$def[1] .= "GPRINT:nice:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:nice:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:nice:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::area('system', $color['orangeDark'], 'System %      ', true);
	$def[1] .= "GPRINT:system:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:system:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:system:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::area('user', $color['blueLight'], 'User %        ', true);
	$def[1] .= "GPRINT:user:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:user:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:user:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::line(1, 'usage', $color['black'], 'Total usage % ');
	$def[1] .= "GPRINT:usage:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:usage:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:usage:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::hrule ($warning, $color['warning'], "Warning ($warning %)\\n");
	$def[1] .= rrd::hrule ($critical, $color['critical'], "Critical ($critical %)");
}
?>
u