<?php
/*
Visualization template of check_snmp_host_net for pnp4nagios
2021-01-07 Miklos Kokenyesi
Based on: gradient2.php (https://docs.pnp4nagios.org/templates/gradient)
*/

// Traffic graph
$_WARNRULE = '#FFFF00';
$_CRITRULE = '#FF0000';

if (strlen ($LABEL[1]) >= strlen ($LABEL[2])){
    $lenlabel = strlen ($LABEL[1]) + 2;
} else {
    $lenlabel = strlen ($LABEL[2]) + 2;
}
$label1 = sprintf("%' -".$lenlabel."s", $LABEL[1]);
$label2 = sprintf("%' -".$lenlabel."s", $LABEL[2]);

$ds_name[1] = "$LABEL[1] / $LABEL[2] ";
$opt[1] = "--vertical-label Mbps --title \"$servicedesc: network traffic\" -Y -X 0 ";
$opt[1] .= '--color=SHADEA#ffffff ';
$opt[1] .= '--color=SHADEB#ffffff ';
$opt[1] .= '--slope-mode ';
$def[1] =  "DEF:inb=$RRDFILE[2]:$DS[2]:MAX ";
$def[1] .= "DEF:outb=$RRDFILE[1]:$DS[1]:MAX ";
$def[1] .= "CDEF:outbi=outb,-1,* ";
$def[1] .= rrd::gradient('inb','ffdc00','ff6400',$label2,20);
$def[1] .= "GPRINT:inb:LAST:\"%3.2lf Mbps LAST \" ";
$def[1] .= "GPRINT:inb:MAX:\"%3.2lf Mbps MAX \" ";
$def[1] .= "GPRINT:inb:AVERAGE:\"%3.2lf Mbps AVERAGE \j\" ";
$def[1] .= rrd::gradient('outbi','ccccff','1313bf',$label1,20);
$def[1] .= "GPRINT:outb:LAST:\"%3.2lf Mbps LAST \" ";
$def[1] .= "GPRINT:outb:MAX:\"%3.2lf Mbps MAX \" ";
$def[1] .= "GPRINT:outb:AVERAGE:\"%3.2lf Mbps AVERAGE \j\" ";
$def[1] .= "COMMENT:\"  \\l\" ";
$def[1] .= "LINE1:0#000 ";

// Error and discard rate graph
$color['greyLight'] = "#b3b3b3";
$color['purpleDark'] = "#aa00ff";
if (strlen ($LABEL[3]) >= strlen ($LABEL[4])){
    $lenlabel = strlen ($LABEL[3]) + 2;
} else {
    $lenlabel = strlen ($LABEL[4]) + 2;
}
$label3 = sprintf("%' -".$lenlabel."s", $LABEL[3]);
$label4 = sprintf("%' -".$lenlabel."s", $LABEL[4]);

$ds_name[2] = "$LABEL[3] / $LABEL[4] ";
$opt[2] = "--slope-mode --title \"$servicedesc: packet error and discard rate\" --vertical-label \"packets/s\" -Y -X 0 ";
$def[2] = "DEF:errors=$RRDFILE[3]:$DS[3]:MAX ";
$def[2] .= "DEF:discards=$RRDFILE[4]:$DS[4]:MAX ";
$def[2] .= rrd::line(1, 'errors', $color['greyLight'], $label3);
$def[2] .= "GPRINT:errors:LAST:\"%6.1lf pps LAST \" ";
$def[2] .= "GPRINT:errors:MAX:\"%6.1lf pps MAX \" ";
$def[2] .= "GPRINT:errors:AVERAGE:\"%6.1lf pps AVERAGE \j\" ";
$def[2] .= rrd::line(1, 'discards', $color['purpleDark'], $label4);
$def[2] .= "GPRINT:discards:LAST:\"%6.1lf pps LAST \" ";
$def[2] .= "GPRINT:discards:MAX:\"%6.1lf pps MAX \" ";
$def[2] .= "GPRINT:discards:AVERAGE:\"%6.1lf pps AVERAGE \j\" ";
$def[1] .= "COMMENT:\"  \\l\" ";
?>
