<?php
/*
Visualization template of check_snmp_host_cpu for pnp4nagios
2019-12-15 by Miklos Kokenyesi
Based on: check_pnp_rrds.php
Copyright (c) 2006-2010 Joerg Linge (http://www.pnp4nagios.org)
*/
$color['blueDark'] = "1313bf";
$color['blueLight'] = "ccccff";
$color['orangeDark'] = "ff6400";
$color['orangeLight'] = "ffdc00";
$color['warning'] = "#ff0";
$color['critical'] = "#f00";

foreach ($this->DS as $KEY=>$VAL) {
	$opt[1] = "--title \"CPU times\" --vertical-label \"ms\" ";
	$def[1] = "DEF:cpu=$RRDFILE[1]:$DS[1]:MAX ";
	$def[1] .= rrd::gradient('cpu', $color['blueLight'], $color['blueDark'], 'CPU times (ms)  ');
	$def[1] .= "GPRINT:cpu:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:cpu:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:cpu:MAX:\"%6.1lf max\\n\" ";
	$warning = "";
	$critical = "";
	if ($VAL['WARN'] && is_numeric($VAL['WARN'])) {
		$warning = $VAL['WARN'];
	}
	if ($VAL['CRIT'] && is_numeric($VAL['CRIT'])) {
		$critical = $VAL['CRIT'];
	}
	$opt[2] = "--title \"Memory usage\" --vertical-label \"MB\" ";
	$def[2] = "DEF:memory=$RRDFILE[2]:$DS[2]:MAX ";
	$def[2] .= rrd::gradient('memory', $color['orangeLight'], $color['orangeDark'], 'Memory usage (MB)    ');
	$def[2] .= "GPRINT:memory:LAST:\"%6.1lf last\" ";
	$def[2] .= "GPRINT:memory:AVERAGE:\"%6.1lf avg\" ";
	$def[2] .= "GPRINT:memory:MAX:\"%6.1lf max\\n\" ";
	$def[2] .= rrd::hrule ($warning, $color['warning'], "Warning ($warning MB)\\n");
	$def[2] .= rrd::hrule ($critical, $color['critical'], "Critical ($critical MB)");
}
?>
